body.dark-mode {
  background-color: #222;
  color: #ffffff;    
}
body.dark-mode .modal-body {
  background-color: #222 !important;
  color: #ffffff;    
}
body.dark-mode .bg-white {
  background-color: #111 !important;
  color: #ffffff !important;
}
body.dark-mode ::-webkit-input-placeholder {
  color: #ffffff !important;
}
body.dark-mode .form-floating  {
  color: rgba(var(--bs-body-color-rgb), 0.30) !important;
}
body.dark-mode .bg-primary {
  background-color: #000 !important;
  color: #ffffff;
}
body.dark-mode .btn-danger{
  background-color: #555 !important;
  border-color: #ffffff;
}
body.dark-mode .btn-danger:hover{
  background-color: #0e0d0d !important;
}
body.dark-mode .btn-primary {
  background-color: #000 !important;
  color: #ffffff;
  --bs-btn-border-color: #fff !important;
}
body.dark-mode .btn-primary:hover {
  background-color: #555 !important;
}
body.dark-mode .btn-light {
  background-color: #000 !important;
  color: #ffffff;
}
body.dark-mode .cc {
  background-color: #222 !important;
  color: #ffffff;
}
body.dark-mode .cc:hover {
  background-color: #000 !important;
}
body.dark-mode .btn-info {
  --bs-btn-bg: #000;
  --bs-btn-border-color: #ffffff;
}
body.dark-mode .bg-info-light {
  background-color: #111 !important;   
  color: #ffffff; 
}
body.dark-mode .bg-light {
  background-color: #111 !important;   
  color: #555; 
}
body.dark-mode .border-primary { 
  color: #000; 
  border-color :rgba(var(--bs-white-rgb), var(--bs-border-opacity)) !important;
}
body.dark-mode .table-light { 
  --bs-table-color: #ffffff;
  color: #ffffff; 
  --bs-table-bg: #111;
  border-color :rgba(var(--bs-dark-rgb), var(--bs-border-opacity)) !important;
}
body.dark-mode .form-control:disabled {
  background-color: #555 !important;
}
body.dark-mode .selectize-input.disabled {
  border-color: rgba(var(--bs-white-rgb), var(--bs-border-opacity)) !important;
  background-color: #555 !important;
}
body.dark-mode .selectize-control.single .selectize-input:after {
  border-color: #808080 transparent transparent transparent !important;
}
body.dark-mode .bg-success {
  background-color: #555 !important;
} 
body.dark-mode .bg-transparent {
  color: #ffffff !important;
} 
body.dark-mode .text-black {
  color: rgba(var(--bs-white-rgb), var(--bs-text-opacity)) !important;
}
body.dark-mode .text-dark {
  color: rgba(var(--bs-white-rgb), var(--bs-text-opacity)) !important;
}  
body.dark-mode .text-white {
  color: rgba(var(--bs-dark-rgb), var(--bs-text-opacity));
} 
/* dark selectise */
body.dark-mode .selectize-input {
  background-color: #fff !important;  
  color: #ffffff; 
} 
body.dark-mode .selectize-control.plugin-remove_button .remove-single .fa{
  color: #ffffff !important;  
} 
body.dark-mode .selectize-control.single .selectize-input:after {
  border-color: #ffffff transparent transparent transparent;
}
/* dark icons */
body.dark-mode i {
  color: #ffffff;  
} 

body.dark-mode .page-link.active, 
body.dark-mode .active > .page-link {
  background-color: #000 !important;
  border-color: #ffffff !important;
}
body.dark-mode .form-check-input {
  background-color: #f9f9fa !important;
}
body.dark-mode .form-check-input:checked{
  background-color: #070707 !important;
}
/* Modo de acessibilidade (dark mode) */
body.dark-mode .card-body {
  background-color: #000 !important; /* Fundo preto */
  color: #fff !important; /* Texto branco */
}

body.dark-mode .card{
  background-color: #000 !important; /* Fundo preto */
  color: #fff !important; /* Texto branco */
}

body.dark-mode label {
  color: #fff !important; /* Texto dos labels em branco */
}
body.dark-mode input,
body.dark-mode select,
body.dark-mode textarea {
  background-color: #fff !important; /* Fundo dos inputs em branco */
  color: #000 !important; /* Texto dos inputs em preto */
  border-color: #fff !important; /* Borda branca dos inputs */
}
body.dark-mode input::placeholder {
  color: #555 !important; /* Placeholder em cinza */
}
body.dark-mode .card-header {
  background-color: #333 !important; /* Fundo do header do card em preto mais claro */
  color: #fff !important; /* Texto branco no header do card */
}
body.dark-mode .btn {
  background-color: #333 !important; /* Botões em cinza escuro */
  color: #fff !important; /* Texto branco nos botões */
}
body.dark-mode .bg-primary {
  background-color: #000 !important; /* Fundo da navbar ou elementos com bg-primary */
  color: #fff !important; /* Texto branco */
}

body.dark-mode .bg-pms{
  background-color: #000 !important;
  color: #fff !important;
}

body.dark-mode .table tbody>tr>td {
  background-color: #000 !important;
  border-color: #454d55 !important;
  color: #FFF !important;
  --bs-table-hover-bg: #627277 !important;
}

body.dark-mode thead>tr>th {
  background-color: #1a1919 !important;
  color: #FFF !important;
  border: 1px solid #FFF !important;
}
